Bug 862430 - CVE-2012-3504 crypto-utils: insecure temporary file usage in genkey [fedora-all]
CVE-2012-3504 crypto-utils: insecure temporary file usage in genkey [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: crypto-utils (Show other bugs)
17
All Linux
low Severity low
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-3504
  Show dependency treegraph
 
Reported: 2012-10-02 17:09 EDT by Vincent Danen
Modified: 2014-09-15 07:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: crypto-utils-2.4.1-39.fc18, crypto-utils-2.4.1-39.fc17
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-10 21:18:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-10-02 17:09:47 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=849256

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Elio Maldonado Batiz 2012-12-06 16:45:45 EST
Created attachment 659066 [details]
Fix genkey to create temporary files securely

Patch contributed by Vincent Danen.
Comment 3 Elio Maldonado Batiz 2013-02-23 13:57:16 EST
Thank you Vincer. r+ from me, will commit for Rawhide (f19) for starters.
Comment 4 Fedora Update System 2013-02-28 17:38:10 EST
crypto-utils-2.4.1-39.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/crypto-utils-2.4.1-39.fc18
Comment 5 Fedora Update System 2013-02-28 17:40:25 EST
crypto-utils-2.4.1-39.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/crypto-utils-2.4.1-39.fc17
Comment 6 Fedora Update System 2013-03-02 15:05:34 EST
Package crypto-utils-2.4.1-39.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing crypto-utils-2.4.1-39.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3253/crypto-utils-2.4.1-39.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-03-10 21:18:11 EDT
crypto-utils-2.4.1-39.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-03-10 21:24:20 EDT
crypto-utils-2.4.1-39.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.